BOOTLOGD(8)

BEZEICHNUNG
bootlogd - Boot-Meldungen aufzeichnen

ÜBERSICHT
/sbin/bootlogd [-c] [-d] [-e] [-r] [-s] [-v] [ -l Protokolldatei ] [ -p PID-Datei ]

BESCHREIBUNG
bootlogd wird im Hintergrund ausgeführt und kopiert alle an das Gerät /dev/console gesendeten Zeichenketten in eine Protokolldatei. Falls auf die Ptotokolldatei nicht zugegriffen werden kann, werden die Meldungen im Speicher behalten, bis der Zugriff wieder möglich ist.

OPTIONEN

-d  Do not fork and run in the background.

-e  gibt Escape-Zeichen in die Boot-Protokolldatei aus. Dadurch wird die Filterung der Escape-Zeichen deaktiviert und Werkzeugen wie GNU less(1) ermöglicht, diese zu sehen und Farb-Steuerzeichen zu verwenden (also das Protokoll farbig anzuzeigen).

-c  versucht, auch dann in die Protokolldatei zu schreiben, wenn diese noch nicht existiert. Ohne diese Option wartet bootlogd, bis die Protokolldatei erscheint, bevor ein Schreibversuch unternommen wird. Dieses Verhalten hindert bootlogd daran, Protokolldateien unterhalb von Einhängepunkten zu erstellen.

-r  Eine vorhandene Protokolldatei wird umbenannt, indem dem Namen eine Tilde angehängt wird (Protokolldatei~), außer wenn die Protokolldatei~ bereits vorhanden ist.

-s  stellt sicher, dass die Daten tatsächlich in die Datei geschrieben werden, indem nach jeder Zeile fdatasync(3) aufgerufen wird. Dadurch wird ein parallel laufender fsck(8)-Prozess verlangsamt.

-v  zeigt die Version an.

-l Protokolldatei
    speichert in die angegebene Protokolldatei. Die Vorgabe ist /var/log/boot.

-p PID-Datei
    speichert die Prozesskennung (PID) in dieser Datei. Standardmäßig wird keine PID-Datei gespeichert.

ANMERKUNGEN
bootlogd saves log data which includes control characters. The log is technically a text file, but not very easy for humans to read. To address this the readbootlog(1) command can be used to display the boot log without the control characters.

FEHLER
bootlogd works by redirecting the console output from the console device. (Consequently bootlogd requires PTY support in the kernel configuration.) It copies that output to the real console device and to a log file. There is no standard way of ascertaining the real console device if you have a new-style /dev/console device (major 5, minor 1) so bootlogd parses the kernel command line looking for console=... lines and deduces the real console device from that. If that syntax is ever changed by the kernel, or a console type is used that bootlogd does not know about then bootlogd will not work.

AUTOR
Miquel van Smoorenburg (miquels@cistron.nl)

SIEHE AUCH
dmesg(8), fdatasync(3), readbootlog(1)